<head>
<script>
jQuery( window ).on("load", function() {
  
  var tuning = [5, 12, 8, 3, 10, 5];
  var versatility = 5;
  var root = 1;
  var quality = 0;
  var seventh = 0;
 
  refresh();
  
  jQuery('select').on('change', function() {
    refresh();
  });
  
  jQuery("#tuning").on('change', function(){
  	changeTuning();
    refresh();
  });
  
  function changeTuning() {
  	var tuningSwap = jQuery("#tuning").val();
    var first = Number(tuningSwap.substring(0, 2));
    var second = Number(tuningSwap.substring(2, 4));
    var third = Number(tuningSwap.substring(4, 6));
    var fourth = Number(tuningSwap.substring(6, 8));
    var fifth = Number(tuningSwap.substring(8, 10));
    var sixth = Number(tuningSwap.substring(10, 12));
    
    document.getElementById("1st").selectedIndex = first - 1;
    document.getElementById("2nd").selectedIndex = second - 1;
    document.getElementById("3rd").selectedIndex = third - 1;
    document.getElementById("4th").selectedIndex = fourth - 1;
    document.getElementById("5th").selectedIndex = fifth - 1;
    document.getElementById("6th").selectedIndex = sixth - 1;
  }
  
  function refresh() {
  	tuning = [ jQuery("#1st").val(), jQuery("#2nd").val(), jQuery("#3rd").val(), jQuery("#4th").val(), jQuery("#5th").val(), jQuery("#6th").val()];
	root = jQuery("#root").val();
    quality = jQuery("#quality").val();
    seventh = jQuery("#seventh").val();
    
    jQuery("#result").text(showChord());
  }
  
  function showChord() {
        var chord = [parseInt(root), parseInt(root) + 4 - parseInt(quality), parseInt(root) + 7, (parseInt(root) + 12 - parseInt(seventh))%12];
    
        var positions = getPositions(chord);

        var p = "";
        for(var i = 0; i < positions.length; i++) {
          	if((i+1) === 1) {
              p = p + jQuery("#1st option:selected").text();
          	} else if((i+1) === 2) {
            	p = p + jQuery("#2nd option:selected").text();
            } else if((i+1) === 3) {
              p = p + jQuery("#3rd option:selected").text();
            } else if((i+1) === 4) {
              p = p + jQuery("#4th option:selected").text();
            } else if((i+1) === 5) {
              p = p + jQuery("#5th option:selected").text();
            } else if((i+1) === 6) {
              p = p + jQuery("#6th option:selected").text();
            }

          	p = p + "o|";
          
            for(var j = 0; j < positions[i]-1; j++) {
            p = p + "–|";
          	}
            if(parseInt(positions[i]) === 0) {
            	p = p + "";  
            } else {
            	p = p + "•" + "|";
            }
          	for(var j = 0; j < 5-positions[i]; j++) {
            p = p + "–|";
          	}
          
            //for(var j = 0; j < 10; j++) {
            //	if (j == positions[i][j]) {
            //      p = p + "•" + "|";
           //   	} else {
            //      p = p + "–|";
           //   	}
          //	}
          	p = p + '\n';
        }
   		
    	return p;
    }
  
  function getPositions(chord){
	
	var placements = [];

        for(var i = 0; i < tuning.length; i++) {
            nextString:
            for(var j = 0; j < versatility; j++) {
              
              // This is the code segment that will be responsible for inserting the finger positions
                for(var k = 0; k < chord.length; k++) {
                    if(chord[k]%12 == (parseInt(tuning[i]) + parseInt(j))%12) {
                      	placements[i] = parseInt(j) + "";
                      	if(k == 3) {
                        	chord = chord.slice(0, chord.length-1);  
                        }
                        break nextString;
                    } else if(parseInt(j) == parseInt(versatility) - 1) {
                        placements[i] = "x";
                    }
                }
            }
        }
    
        return placements;
    }
  
    var words = [];

    words.push("hello");

    function BuildArray(size){
    this.length = size
    for (var i = 1; i <= size; i++){
    this[i] = null}
    return this
    }

    function PickRandomWord() {
    // Generate a random number between 1 and NumberOfWords
    var rnd = Math.ceil(Math.random() * words.length())

    return words[rnd]
    }
});

window.scrollTo(0,document.body.scrollHeight);

</script>
</head>


<body>
<div class="row" align="center" style="padding: 0px 0px 5px 0px">
  	<select id="tuning">
		<option value="051208031005" selected>Standard Tuning</option>
		<option value="051208031003">Drop D</option>
		<option value="031208031003">Double Drop D</option>
		<option value="031208030803">Open G</option>
		<option value="031007031003">Open D</option>
		<option value="031008031003">D Modal / Celtic</option>
		<option value="050108011001">C6</option>
		<option value="050106010801">Nick Drake</option>
	</select>
</div>

<div class="row" align="center">
	<select id="root">
		<option value="1">C</option>
		<option value="2">C#</option>
		<option value="3">D</option>
		<option value="4">D#</option>
		<option value="5">E</option>
		<option value="6">F</option>
		<option value="7">F#</option>
		<option value="8">G</option>
		<option value="9">G#</option>
		<option value="10">A</option>
		<option value="11">A#</option>
		<option value="12">B</option>
	</select>
	<select id="quality">
		<option value="0">M</option>
		<option value="1">m</option>
	</select>
		<select id="seventh">
		<option value="0">-</option>
		<option value="1">7</option>
		<option value="2">7b</option>
	</select>
</div>

<pre><div>
<p id="result" style="color: white;" align="center">v0.3333333333</p>
</div></pre>

<div class="row" align="center">
	<h2>6th | 5th | 4th | 3rd | 2nd | 1st</h2>
</div>
<div class="row" align="center">
	<select id="6th">
		<option value="1">C </option>
		<option value="2">C#</option>
		<option value="3">D </option>
		<option value="4">D#</option>
		<option value="5" selected>E </option>
		<option value="6">F </option>
		<option value="7">F#</option>
		<option value="8">G </option>
		<option value="9">G#</option>
		<option value="10">A </option>
		<option value="11">A#</option>
		<option value="12">B </option>
	</select>
	<select id="5th">
		<option value="1">C </option>
		<option value="2">C#</option>
		<option value="3">D </option>
		<option value="4">D#</option>
		<option value="5">E </option>
		<option value="6">F </option>
		<option value="7">F#</option>
		<option value="8">G </option>
		<option value="9">G#</option>
		<option value="10" selected>A </option>
		<option value="11">A#</option>
		<option value="12">B </option>
	</select>
	<select id="4th">
		<option value="1">C </option>
		<option value="2">C#</option>
		<option value="3" selected>D </option>
		<option value="4">D#</option>
		<option value="5">E </option>
		<option value="6">F </option>
		<option value="7">F#</option>
		<option value="8">G </option>
		<option value="9">G#</option>
		<option value="10">A </option>
		<option value="11">A#</option>
		<option value="12">B </option>
	</select>
	<select id="3rd">
		<option value="1">C </option>
		<option value="2">C#</option>
		<option value="3">D </option>
		<option value="4">D#</option>
		<option value="5">E </option>
		<option value="6">F </option>
		<option value="7">F#</option>
		<option value="8" selected>G </option>
		<option value="9">G#</option>
		<option value="10">A </option>
		<option value="11">A#</option>
		<option value="12">B </option>
	</select>
	<select id="2nd">
		<option value="1">C </option>
		<option value="2">C#</option>
		<option value="3">D </option>
		<option value="4">D#</option>
		<option value="5">E </option>
		<option value="6">F </option>
		<option value="7">F#</option>
		<option value="8">G </option>
		<option value="9">G#</option>
		<option value="10">A </option>
		<option value="11">A#</option>
		<option value="12" selected>B </option>
	</select>
	<select id="1st">
		<option value="1">C </option>
		<option value="2">C#</option>
		<option value="3">D </option>
		<option value="4">D#</option>
		<option value="5" selected>E </option>
		<option value="6">F </option>
		<option value="7">F#</option>
		<option value="8">G </option>
		<option value="9">G#</option>
		<option value="10">A </option>
		<option value="11">A#</option>
		<option value="12">B </option>
	</select>
</div>

</body>